--- title: "getLoadBalancerRuleList" slug: "networking-vloadbalancer-loadbalancer-getloadbalancerrulelist" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-loadbalancer-getloadbalancerrulelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getLoadBalancerRuleList Available in VPC View the list of rules registered to the load balancer listener. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/getLoadBalancerRuleList | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the load balancer listener where the list of rules you want to view is registered - First Region of the getRegionList search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `loadBalancerListenerNo` | String | Required | Number of the load balancer listener - See [getLoadBalancerListenerList](/docs/en/networking-vloadbalancer-loadbalancer-getloadbalancerlistenerlist) | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/getLoadBalancerRuleList?regionCode=KR&loadBalancerListenerNo=******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [LoadBalancerRuleList](/docs/en/common-vapidatatype-loadbalancerrulelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 76f1860a-da5f-4673-8999-3d550cdaee6e 0 success 1 ****** ****** 10000 DEFAULT Default condition TARGET_GROUP Target Group action ******* 1 false ```